Skip to main content
GET
/
humaninput
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "executionId": "<string>",
    "createdBy": "<string>",
    "isPublic": true,
    "owners": [
      {
        "id": "<string>",
        "displayName": "<string>",
        "mail": "<string>",
        "securityEnabled": true,
        "mailEnabled": true,
        "groupTypes": [
          "<string>"
        ],
        "groupType": "<string>",
        "userPrincipalName": "<string>",
        "jobTitle": "<string>",
        "department": "<string>",
        "officeLocation": "<string>"
      }
    ],
    "contributors": [
      {
        "id": "<string>",
        "displayName": "<string>",
        "mail": "<string>",
        "securityEnabled": true,
        "mailEnabled": true,
        "groupTypes": [
          "<string>"
        ],
        "groupType": "<string>",
        "userPrincipalName": "<string>",
        "jobTitle": "<string>",
        "department": "<string>",
        "officeLocation": "<string>"
      }
    ],
    "users": [
      {
        "id": "<string>",
        "displayName": "<string>",
        "mail": "<string>",
        "securityEnabled": true,
        "mailEnabled": true,
        "groupTypes": [
          "<string>"
        ],
        "groupType": "<string>",
        "userPrincipalName": "<string>",
        "jobTitle": "<string>",
        "department": "<string>",
        "officeLocation": "<string>"
      }
    ],
    "inheritEntitlements": true,
    "hideFromCatalog": true,
    "createdAt": "<string>",
    "updatedBy": "<string>",
    "updatedAt": "<string>",
    "flowId": "<string>",
    "nodeId": "<string>",
    "prompt": "<string>",
    "options": [
      "<string>"
    ],
    "allowDelegation": true,
    "assignees": [
      {
        "email": "<string>",
        "displayName": "<string>",
        "userPrincipalName": "<string>"
      }
    ],
    "delegationHistory": [
      {
        "from": "<string>",
        "to": {},
        "delegatedAt": "<string>",
        "reason": "<string>"
      }
    ],
    "response": "<string>",
    "originatorEmail": "<string>",
    "originatorName": "<string>",
    "chatId": "<string>",
    "expiresAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Azure AD access token obtained via MSAL

Query Parameters

status
enum<string>

Filter by record status

Available options:
pending,
completed,
expired,
cancelled
role
enum<string>

Filter by user role (default assignee)

Available options:
assignee,
originator

Response

List of human input records

id
string
required
executionId
string
required

Flow execution ID (partition key)

scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

flowId
string
nodeId
string
prompt
string

Human-readable prompt text

inputType
enum<string>
Available options:
text,
approval,
choice,
form
options
string[]
status
enum<string>
Available options:
pending,
completed,
expired,
cancelled
allowDelegation
boolean
assignees
object[]
delegationHistory
object[]
response
string
originatorEmail
string
originatorName
string
chatId
string
expiresAt
string